﻿using HeadTailSocketFW;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Sockets;
using System.Text;
using System.Threading;

namespace ConsoleApp1
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string ip = "127.0.0.1";
            int port = 5300;

            HeadTailSocket socket = new HeadTailSocket();
            socket.Head = new byte[] { 0x02 }; //STX
            socket.Tail = new byte[] { 0x03 }; //ETX
            socket.OnReceived -= Socket_OnReceived;
            socket.OnReceived += Socket_OnReceived;

            while (true)
            {
                if (socket == null)
                    continue;

                if (!socket.IsConnected)
                    socket.Connect(ip, port);

                Thread.Sleep(1000);
            }
        }

        private static void Socket_OnReceived(object sender, byte[] buffer)
        {
            string rawPacket = Encoding.ASCII.GetString(buffer);
            Console.WriteLine(rawPacket);
        }
    }
}
